commit 0fa4e6bfc8ee81705d9b7f693c153a250ddc4485
Author: freddy77 <freddy77>
Date:   Tue Jul 27 08:53:12 2010 +0000

    moved option_flag2 from tds_socket to tds_connection

diff --git a/ChangeLog b/ChangeLog
index 5968fa7..17fe857 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Tue Jul 27 10:52:58 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h src/dblib/dblib.c src/tds/login.c src/tds/mem.c:
+	- moved option_flag2 from tds_socket to tds_connection
+
 Tue Jul 27 09:18:53 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/sybase_tests: fix dblib build with Sybase libraries
 
@@ -2769,4 +2773,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3097 2010/07/27 07:19:18 freddy77 Exp $
+$Id: ChangeLog,v 1.3098 2010/07/27 08:53:12 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index 461614b..c442f4a 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -21,7 +21,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.340 2010/07/25 08:40:19 freddy77 Exp $ */
+/* $Id: tds.h,v 1.341 2010/07/27 08:53:12 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -864,6 +864,7 @@ typedef struct tds_connection
 
 	TDS_INT query_timeout;
 	unsigned char capabilities[TDS_MAX_CAPABILITY];
+	unsigned char option_flag2;
 	DSTR client_charset;
 
 	DSTR ip_addr;	  	/**< ip of server */
@@ -1297,7 +1298,6 @@ struct tds_socket
 	char *product_name;
 
 	unsigned char capabilities[TDS_MAX_CAPABILITY];
-	unsigned char option_flag2;
 	unsigned int broken_dates:1;
 	unsigned int emul_little_endian:1;
 	unsigned int use_iconv:1;
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 00e2145..6fd790c 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.364 2010/05/21 15:18:49 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.365 2010/07/27 08:53:12 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -1157,7 +1157,6 @@ tdsdbopen(LOGINREC * login, const char *server, int msdblib)
 	
 
 	tds_set_parent(dbproc->tds_socket, dbproc);
-	dbproc->tds_socket->option_flag2 &= ~0x02;	/* we're not an ODBC driver */
 	dbproc->tds_socket->env_chg_func = db_env_chg;
 	dbproc->envchange_rcv = 0;
 	dbproc->dbcurdb[0] = '\0';
@@ -1168,6 +1167,7 @@ tdsdbopen(LOGINREC * login, const char *server, int msdblib)
 		dbclose(dbproc);
 		return NULL;
 	}
+	connection->option_flag2 &= ~0x02;	/* we're not an ODBC driver */
 
 	dbproc->chkintr = NULL;
 	dbproc->hndlintr = NULL;
diff --git a/src/tds/login.c b/src/tds/login.c
index 6fa7650..bf4d45d 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.196 2010/03/01 12:38:10 freddy77 Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.197 2010/07/27 08:53:12 freddy77 Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
@@ -692,7 +692,7 @@ tds7_send_login(TDSSOCKET * tds, TDSCONNECTION * connection)
 
 	static const unsigned char connection_id[] = { 0x00, 0x00, 0x00, 0x00 };
 	unsigned char option_flag1 = 0x00;
-	unsigned char option_flag2 = tds->option_flag2;
+	unsigned char option_flag2 = connection->option_flag2;
 	static const unsigned char sql_type_flag = 0x00;
 	static const unsigned char reserved_flag = 0x00;
 
diff --git a/src/tds/mem.c b/src/tds/mem.c
index 85f8ff6..9ad97cb 100644
--- a/src/tds/mem.c
+++ b/src/tds/mem.c
@@ -53,7 +53,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: mem.c,v 1.205 2010/07/25 08:40:19 freddy77 Exp $");
+TDS_RCSID(var, "$Id: mem.c,v 1.206 2010/07/27 08:53:12 freddy77 Exp $");
 
 static void tds_free_env(TDSSOCKET * tds);
 static void tds_free_compute_results(TDSSOCKET * tds);
@@ -831,6 +831,12 @@ tds_alloc_connection(TDSLOCALE * locale)
 	/* fill in all hardcoded defaults */
 	if (!tds_dstr_copy(&connection->server_name, TDS_DEF_SERVER))
 		goto Cleanup;
+	/*
+	 * TDS 7.0:
+	 * 0x02 indicates ODBC driver
+	 * 0x01 means change to initial language must succeed
+	 */
+	connection->option_flag2 = 0x03;
 	connection->tds_version = TDS_DEFAULT_VERSION;
 	connection->block_size = 0;
 
@@ -1087,12 +1093,6 @@ tds_alloc_socket(TDSCONTEXT * context, int bufsize)
 	TEST_CALLOC(tds_socket->out_buf, unsigned char, bufsize + TDS_ADDITIONAL_SPACE);
 
 	tds_socket->parent = NULL;
-	/*
-	 * TDS 7.0: 
-	 * 0x02 indicates ODBC driver
-	 * 0x01 means change to initial language must succeed
-	 */
-	tds_socket->option_flag2 = 0x03;
 	tds_socket->env.block_size = bufsize;
 
 	tds_socket->use_iconv = 1;

